## snappy1.0.3-java 1.0.3

=== Makefile ===

include Makefile.common

MVN:=mvn

all: snappy

SNAPPY_OUT:=$(TARGET)/$(snappy)-$(os_arch)
SNAPPY_ARCHIVE:=$(TARGET)/snappy-$(VERSION).tar.gz 
SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy.cc
SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(VERSION)
SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
SNAPPY_OBJ:=$(addprefix $(SNAPPY_OUT)/,$(patsubst %.cc,%.o,$(SNAPPY_CC)) SnappyNative.o)

SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log

CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR)

$(SNAPPY_ARCHIVE):
	@mkdir -p $(@D)
	curl -o$@ http://snappy.googlecode.com/files/snappy-$(VERSION).tar.gz

$(SNAPPY_UNPACKED): $(SNAPPY_ARCHIVE)
	tar xvfz $< -C $(TARGET)	
	touch $@

jni-header: $(SRC)/org/xerial/snappy/SnappyNative.h


$(SRC)/org/xerial/snappy/SnappyNative.h: $(SRC)/org/xerial/snappy/SnappyNative.java
	$(JAVAH) -classpath $(TARGET)/classes -o $@ org.xerial.snappy.SnappyNative

$(SNAPPY_SRC): $(SNAPPY_UNPACKED)

$(SNAPPY_OUT)/%.o : $(SNAPPY_SRC_DIR)/%.cc
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@ 

$(SNAPPY_OUT)/SnappyNative.o : $(SRC)/org/xerial/snappy/SnappyNative.cpp $(SRC)/org/xerial/snappy/SnappyNative.h  
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@


$(SNAPPY_OUT)/$(LIBNAME): $(SNAPPY_OBJ)
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LINKFLAGS) 
	$(STRIP) $@

clean-native: 
	rm -rf $(SNAPPY_OUT)

clean:
	rm -rf $(TARGET)

NATIVE_DIR:=src/main/resources/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=$(TARGET)/classes/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

snappy-jar-version:=snappy-java-$(shell $(JAVA) -jar lib/silk-weaver.jar find 'project(artifactId, version)' pom.xml | grep snappy-java | awk '{ print $$2; }')

native: $(SNAPPY_UNPACKED) $(NATIVE_DLL) 
snappy: $(TARGET)/$(snappy-jar-version).jar

$(NATIVE_DLL): $(SNAPPY_OUT)/$(LIBNAME) 
	@mkdir -p $(@D)
	cp $< $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $< $(NATIVE_TARGET_DIR)/$(LIBNAME)


$(TARGET)/$(snappy-jar-version).jar: native $(NATIVE_DLL)
	$(MVN) package -Dmaven.test.skip=true

test: $(NATIVE_DLL)
	$(MVN) test

win32: 
	$(MAKE) native CXX=mingw32-g++ OS_NAME=Windows OS_ARCH=x86  

mac32: 
	$(MAKE) native OS_NAME=Mac OS_ARCH=i386

linux32:
	$(MAKE) native OS_NAME=Linux OS_ARCH=i386

clean-native-linux32:
	$(MAKE) clean-native OS_NAME=Linux OS_ARCH=i386

## snappy1.0.3-java 1.0.3-rc3~dfsg

=== debian/changelog ===
snappy1.0.3-java (1.0.3-rc3~dfsg-4) unstable; urgency=low

  * Fixup jar file installation under newer versions of maven-debian-helper
    (Thanks to James Page <james.page@ubuntu.com> for the patch)
    Closes: #697158 (LP: #1078012)
  * debian/watch: Fix regexp
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - debhelper 9
     - Fix mentioned above needs higher maven-debian-helper (>= 1.6.2)
     - Formatting

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jun 2013 11:40:00 +0200

snappy1.0.3-java (1.0.3-rc3~dfsg-3) unstable; urgency=low

  * Fix wrong symlink to maven repo

 -- Olivier Sallou <osallou@debian.org>  Mon, 03 Sep 2012 08:41:59 +0200

snappy1.0.3-java (1.0.3-rc3~dfsg-2) unstable; urgency=low

  * Fix maven pom file artifactid and location

 -- Olivier Sallou <osallou@debian.org>  Wed, 29 Aug 2012 09:17:13 +0200

snappy1.0.3-java (1.0.3-rc3~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #686077).

 -- Olivier Sallou <osallou@debian.org>  Wed, 08 Aug 2012 09:21:35 +0200

=== debian/control ===
Source: snappy1.0.3-java
Section: java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs,
               default-jdk,
               maven-debian-helper (>= 1.6.2),
               xml-twig-tools,
               libsnappy-dev
Build-Depends-Indep: libmaven-bundle-plugin-java
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/debian-med/snappy1.0.3-java.git
Vcs-Browser: http://git.debian.org/?p=debian-med/snappy1.0.3-java.git
Homepage: http://code.google.com/p/snappy-java/ 

Package: libsnappy1.0.3-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends},
         ${shlib:Depends},
         libsnappy1
Recommends: ${maven:OptionalDepends}
Description: Snappy v1.0.3 for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google. 
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset). 
 .
 This version of the Java library is not the latest upstream version
 but it has an ABI which is used by picard-tools package and was finally
 packaged exactly for the purpose to support picard-tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java


clean::
	dh_clean
	rm -f src/main/resources/org/xerial/snappy/*

get-orig-source:
	debian/get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
 http://code.google.com/p/snappy-java/downloads/list?can=1 \
  .*/snappy-java-(1.0.3[-\d\.rc]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip) \
 debian debian/get-orig-source
